HttpDeflateStream::factory
HttpDeflateStream::flush
The HttpDeflateStream class
PHP Manual

# HttpDeflateStream::finish

(PECL pecl_http:0.21.0-1.5.5)

HttpDeflateStream::finish — Finalize deflate stream

### Description

public string HttpDeflateStream::finish ([ string `$data` ] )

Finalizes the deflate stream. The deflate stream can be reused after finalizing.

### Parameters

`data`

  data to deflate

### Return Values

Returns the final part of deflated data.

HttpDeflateStream::factory
HttpDeflateStream::flush
The HttpDeflateStream class
PHP Manual